/* This is the common style for all layouts. This also works if the browser
   doesn't support grid yet. */

/*Encode Sans for the page content*/
@import url('https://fonts.googleapis.com/css?family=Encode+Sans');

/*Catamaran font for Headings*/
@import url('https://fonts.googleapis.com/css?family=Catamaran');

/*Racing Sans One for the title*/
@import url('https://fonts.googleapis.com/css?family=Racing+Sans+One');

/* Global variables for colors and sizes */
@import url("variables.css");

* {
  margin: 0;
  padding: 0;
  font-family: Helvetica, Arial, sans-serif;
}

body {
  /*background-color: --var(--main-bg-color);*/
  background-color: #3a3a3a !important;
}

@media (min-width: 800px) {
  body {
    background-color: #3a3a3a;
    background-size: cover; 
  }
}

h1 {
  font-size: 1.5em;
}
h2 {
  font-size: 1.4em;
}
h3 {
  font-size: 1.3em;
}
h4 {
  font-size: 1.2em;
}
h5 {
  font-size: 1.15em;
}
h6 {
  font-size: 1.1em;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Catamaran";
  color: var(--font-color);
}

h1.chapter-title {
  font-size: 2.5em;
}

hr {
  margin: 1.5em;
  border-top: 2px solid #8B8B8B;
}

/*Links*/
a {
	color: var(--link-lightbg);
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
  color: var(--link-lightbg-h);
}

/* Segment styles */
.wrapper {
  max-width: 1152px;
  margin: 0 auto;
  border-left: 2px solid var(--dark-bg-color);
  border-right: 2px solid var(--dark-bg-color);
  border-bottom: 2px solid var(--dark-bg-color);
  border-radius: 4px;
  -webkit-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.76);
  -moz-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.76);
  box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.76);
}

.wrapper-full {
  max-width: 100%;
  border: none;
  box-shadow: none;
}

.bg-bright {
  background-color: var(--main-bg-color);
}
.bg-darker {
  background-color: var(--main-bg-color-darker);
}

.bg-gradient-dark, th {
  background: #4c4c4c; /* Old browsers */
  background: -moz-linear-gradient(top, #4c4c4c 0%, #2b2b2b 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, #4c4c4c 0%,#2b2b2b 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, #4c4c4c 0%,#2b2b2b 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4c4c4c', endColorstr='#2b2b2b',GradientType=0 ); /* IE6-9 */
}

.bg-pattern-bright {
  background-color: var(--main-bg-color);
  background-image: url("../images/pattern-grey-light.png");
  -webkit-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  -moz-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  border: 1px solid #E8E8E8;
}

.bg-pattern-dark, 
pre, #breadcrumbs, span.tags {
  background-color: var(--dark-bg-color);
  background-image: url("../images/holepattern.png");
  -webkit-box-shadow: inset 0px 4px 16px -1px rgba(0,0,0,0.76);
  -moz-box-shadow: inset 0px 4px 16px -1px rgba(0,0,0,0.76);
  box-shadow: inset 0px 4px 16px -1px rgba(0,0,0,0.76);
  border-bottom: 2px solid var(--dark-bg-color);
}

.bg-pattern-holes-bright {
  background-color: var(--darker-bg-color);
  background-image: url("../images/holepattern_bright.png");
  /*-webkit-box-shadow: inset 0px 4px 16px -1px rgba(0,0,0,0.5);*/
  /*-moz-box-shadow: inset 0px 4px 16px -1px rgba(0,0,0,0.5);*/
  /*box-shadow: inset 0px 4px 16px -1px rgba(0,0,0,0.5);*/
  border-bottom: 2px solid var(--dark-bg-color);
}

.main-head {
  display: flex;
  align-content: center;
  justify-content: space-between;
  height: 4.5em;
  box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.5);
  border-bottom: 2px solid rgb(29, 29, 29);
}
.main-head a {
  display: flex;
  align-items: center;
  text-decoration: none;
}
.site-logo {
  margin: auto 1em auto 1em;
  height: 4em;
}
.site-title {
  font-size: 1.5em;
  font-family: "Racing Sans One";
  color: var(--link-darkbg);
  text-shadow: 0px 2px #816204;
  white-space: nowrap;
}
@media (max-width: 390px) {
  .site-title {
    visibility: hidden;
    position: absolute;
    margin-left: 20px;
  }
  .site-title:before {
    visibility: visible;
    content: 'RV I/O';
    margin-left: 2.7em;
  }
  
}

@media (max-width: 600px) {
  .hide-600 {
    display: none !important;
  }
  .donations-word-funded {
    display: none;
  }
}

.header-links {
  display: flex; 
  align-content: center;
}  

.link-rvw {
  display: flex;
  align-content: center;
}

.link-rvgl {
  display: flex;
  align-content: center;
}

.link-trh {
  display: flex;
  align-content: center;
}

.link-matrix {
  display: flex;
  align-content: center;
}

.link-discord {
  display: flex;
  align-content: center;
}

.link-donate {
  display: flex;
  align-content: center;
}

.link-time {
  display: flex;
  align-content: center;
}

.header-link {
  float: right;
  margin: auto 0.2em auto 0.2em;
  padding: 0.1em 0.5em;
  color: var(--link-darkbg);
  background-image: url("../images/pattern-dark.png");
  border-radius: 4px;
  border: 1px solid var(--dark-bg-color);
  font-weight: bold;
  line-height: 2.1em;
}
.header-link:hover {
  color: var(--link-darkbg);
  box-shadow: inset 0px 0px 24px -6px rgba(245, 173, 88, 0.6);
  transition: box-shadow 120ms ease-in;
}
.discord-logo {
  float: right;
  height: 2.1em;
  background-image: url("../images/pattern-dark.png");
  border-radius: 4px;
  border: 1px solid var(--dark-bg-color);
  border-radius: 4px;
  padding: 0.1em 0.2em;
}
.discord-logo:hover {
  box-shadow: inset 0px 0px 24px -6px rgba(245, 173, 88, 0.6);
  transition: box-shadow 120ms ease-in;
}


.showcase {
  height: 220px;
  width: 100%;
  background-color: black;
  background-size: cover;
  background-position: center;
}

.content {
  padding: 2em 2em;
  min-height: 400px;
}
.content p {
  color: var(--font-color);
  margin-bottom: 1em;
  line-height: 1.8em;
}
.content img {
  max-width: 100%;
}
.content p img {
  padding: 0.2em;
  box-shadow: 0px 2px 10px -1px rgba(0,0,0,0.3);
  margin: 1em auto;
  display: block;
  border-radius: 6px;
}

.columns, .gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 0;
  margin: 0;
}
.column {
  vertical-align: top;
  width: 300px;
  float: left;
  display: inline-block;
  padding: 1em;
  margin: 0.5em;
  border-radius: 4px;
  box-shadow: 0px 2px 16px -1px rgba(0,0,0,0.25);

}
.gallery {
  border-radius: 4px;
}
.gallery img {
  max-width: 256px;
  margin: 1em 1em !important;
  box-sizing: border-box;
}
.gallery p {
  margin: 0;
  padding: 0;
}

ul, ol {
  padding-bottom: 1em;
  margin-left: 1em;
}
li {
  margin: 0.5em 1em;
  padding-left: 0.5em;
}
ul > li > ul {
  padding: 0;
}

@media(min-width: 800px) {
  .horizontal-list, .horizontal-list li{
    display: inline-block;
    margin-bottom: 0;
  }
}

.table-row-highlight {
  border: solid 2px #FFC200;
  background-color: #FEF1D9 !important;
  color: #0D0D0D;
}

.table-row-deactivated {
	color: #aaa;
}

table {
  margin-bottom: 2em;
  max-width: 100%;
  overflow: auto;
}
table, td {
  border: 1px solid #CCCCCC;
  border-collapse: collapse;
  padding: 0.5em 1em;
}
tr:nth-child(odd) {
  background: url("../images/pattern-bright.png");
}
tr:nth-child(even) {
  background: url("../images/pattern-grey-light.png");
}
th {
  color: var(--font-color-bright);
  padding: 0.5em 1em;
  border: 0;
}

pre {
  width: 600px;
  margin: auto;
  overflow: auto;
  padding: 1em;
  margin-bottom: 1em;
  border-radius: 4px;
  border: 2px solid var(--dark-bg-color);
}
code {
  font-family: "Lucida Console", Monaco, monospace;
  background: url("../images/pattern-grey-light.png");
  border: 1px solid #cccccc;
  border-radius: 4px;
  padding: 0.1em 0.2em;
}
pre code {
  color: white;
  background: none !important;
  border: none !important;
  padding: 0;
}

/* Menu */
.main-nav {
  font-family: "Catamaran";
}
.main-nav > ul > li > a:hover {
  /*alternative: background-color: rgba(255, 245, 0, 0.26);*/
  box-shadow: inset 0px -12px 5px -7px rgba(245, 173, 88, 0.3);
  text-shadow: 0px 0px 6px rgba(245, 173, 88, 0.7);
  transition: box-shadow 120ms ease-in;
}
.main-nav > ul > li > ul > li > a:hover {
  /*alternative: background-color: rgba(255, 245, 0, 0.26);*/
  box-shadow: inset 40px 0px 40px -40px rgba(245, 173, 88, 0.6);
  text-shadow: 0px 0px 6px rgba(245, 173, 88, 0.7);
  transition: box-shadow 120ms ease-in;
}
.main-nav .active {
  text-shadow: 0px 0px 4px rgba(245, 173, 88, 0.5);
  text-decoration: none;
}

.main-nav li a {
  color: var(--link-darkbg);
  transition: background-color 100ms ease-out;
  white-space: nowrap;
  text-decoration: none;
}

/* Mobile menu with sub-pages */
/*@media (max-width: 600px) {
  .main-nav ul {
    list-style: none;
    margin: 0.5em auto;
  }
  .main-nav li {
    display: block;
    padding: 0.2em 0.1em;
  }
  .main-nav li a {
    margin: 0.5em 1.5em;
    padding: 0.5em 1.5em;
  }
}*/

/* Mobile menu without sub-pages */
@media (max-width: 800px) {

  .rvio-header * {
    display: none;
  }

  .showcase {
    display: none;
  }

  .main-nav ul {
    list-style: none;
    margin: 0.1em 0.5em -1em 0;
  }
  .main-nav ul ul {
    display: none;
  }
  .main-nav li {
    display: flex;
    justify-content: center;
    padding: 0em 0.1em;
    margin: 0;
  }
  .main-nav li a {
    padding: 0.5em 1.5em;
    width: 100%;
  }

  .link-rvw {
    display: none;
  }

  .link-rvgl {
    display: none;
  }

  .link-matrix {
    display: none;
  }

  .link-time {
    display: none;
  }

  .main-nav > ul > li > a:hover {
  /*alternative: background-color: rgba(255, 245, 0, 0.26);*/
  box-shadow: inset 50px 0px 20px -40px rgba(255,251,196,0.5);
  text-shadow: 0px 0px 4px rgba(255, 255, 255, 0.5);
  transition: box-shadow 60ms ease-in;
  }
}

/* Desktop menu */
@media (min-width: 800px) {
  .main-nav {
  }
  .main-nav ul {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    list-style: none;
    position: relative;
  }
  .main-nav ul li {
    display: inline-block;
    height: 40px;
    padding: 0em 0.1em;
    margin: 0;
  }
  .main-nav li a {
    display: table-cell;
    vertical-align: middle;
    height: 40px;
    padding: 0 1em;
    width: 100%;

  }
  .main-nav ul ul {
    display: none;
    position: absolute;
    border: 2px solid #2E2E2E;
    border-radius: 0 0 2px 2px;
    background-color: rgba(20, 20, 20, 0.85);
    backdrop-filter: blur(10px);
    /*background: url("../images/holepattern.png");*/
    -webkit-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.5);
    box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.5);
  }
  .main-nav ul li:hover > ul {
    display: inherit;
    top: 40px;
    z-index: 999;
  }
  .main-nav ul ul li {
    width: 200px;
    float: none;
    display: list-item;
    position: relative;
    border-bottom: 1px solid #454545;
    border-top: 1px solid #2E2E2E;
  }
}

.side {
  -webkit-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  -moz-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  border: 1px solid #cccccc;
  background-color: var(--main-bg-color);
}

.side p {
  line-height: 1.4em;
}
.side {
  padding: 1em 1em;
}
.side ul a {
  text-decoration: none;
}
.side a.active {
  font-weight: bold;
  text-decoration: underline;
}
.side ul {
  list-style: none;
}
.side ul:not(.horizontal-list) > li:before {
  content: "\f105"; /* FontAwesome Unicode */
  font-family: FontAwesome;
  display: inline-block;
  margin-left: -1.3em; /* same as padding-left set on li */
  width: 0.8em; /* same as padding-left set on li */
}

.side ul li {
  margin-left: 0;
}

.main-footer {
  display: flex;
  justify-content: center;
  padding: 0.5em 0;
  font-family: "Catamaran";
  font-size: 12px;
  background-color: var(--dark-bg-color);
}

.main-footer p {
  color: var(--link-darkbg);
}



/* Grav-specific fixes */
/* MD Notices plugin */
div.notices {
  padding-top: 1em;
  border-radius: 4px;
}

/* TOC plugin */
h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
  text-decoration: none !important;
  color: var(--font-color) !important;
}

#breadcrumbs {
  padding: .5em .1em .2em 1em !important;
  margin-top: -1em;
  margin-bottom: 1em;
}

#breadcrumbs a {
  color: var(--link-darkbg);
  text-decoration: none;
  font-weight: bold;
}

#breadcrumbs {
  font-weight: bold;
  padding: 1em;
  border-radius: 4px;
  color: var(--font-color-bright);
}

nav.toc {
  margin-left: 1em;
}

nav.toc ul {
  list-style: none;
  padding-bottom: 0;
}

nav.toc li {
  margin-left: 0.5em;
}

ul.table-of-contents {
}

/* New summary of the main page */

.card {
  display: block;
  position: relative;

  border-radius: 4px;
  margin-bottom: 0.8em;
  padding: 0.5em;
  box-shadow: 0px 3px 4px rgba(0, 0, 0, 0.1),
        inset 0 0 30px #E8E8E8;
  border: solid 2px rgba(0, 0, 0, 0.15);

  background-color: rgb(238, 238, 238);
  font-size: 90%;
}

.float-right {
  float: right;
}

.inline-icon {
  display: inline-block;
  vertical-align: middle;
  margin-top: -3px;
  margin-right: 6px;
}

.admin-link {
  color: var(--font-color);
  display: inline-block;
  height: 26px;
  padding: 5px;
  /*padding-left: 6px;*/
  margin-bottom: 0.1em;
  box-shadow: 0px 3px 4px rgba(0, 0, 0, 0.06),
    inset 0 0 30px #F6F5F4;
  border: solid 1px rgba(0, 0, 0, 0.15);
  background: url("../images/pattern-grey-light.png");
  background-color: rgb(232, 232, 232);
  text-decoration: none;
  line-height: 26px;
  border-radius: 4px;
}

.events {
/*  display: flex;*/
  flex-wrap: nowrap;
/*  overflow-x: scroll;*/
/*  overflow-y: hidden;*/
  padding-bottom: 1em;
}

.list-style {

}

.card-style {
  box-shadow: 0px 3px 4px rgba(0, 0, 0, 0.1);
  border: solid 2px rgba(0, 0, 0, 0.15);
  background-color: rgb(238, 238, 238);
}

.event-card {
  flex: 0 0 auto;
  width: 256px;
  height: 140px;
  /*height: 100%;*/
  margin-top: 10px;
  border-radius: 4px;
  margin: 0.2em 0.4em;
  padding: 0.8em;
  box-shadow: 0px 3px 4px rgba(0, 0, 0, 0.1);
  border: solid 2px rgba(0, 0, 0, 0.15);

  background-color: rgb(238, 238, 238);
  font-size: 90%;
}

.event-card-all {
  flex: 0 0 auto;
  width: 256px;
  height: 50px;
  /*height: 100%;*/
  margin-top: 10px;
  border-radius: 4px;
  margin: 0.2em 0.4em;
  padding: 0.8em;
  box-shadow: 0px 3px 4px rgba(0, 0, 0, 0.1);
  border: solid 2px rgba(0, 0, 0, 0.15);

  background-color: rgb(238, 238, 238);
  font-size: 90%;
}

.event-today {
  border: solid 2px #E7C36B; /* old: #FFD52F; */
  background-color: #FDEED2; /* old: #FEF1D9; */
  color: #0D0D0D;
  /*background-color: #FFF8D6;*/
}

.event-today a {
  color: var(--link-lightbg);
}

.event-buttons {
  vertical-align: middle;
  margin-top: 0.8em !important;
}

.event-icon {
  float: right;
  display: inline-block;
  vertical-align: middle;
}

.tag {
  display: inline-block;
  background-color: rgba(222, 222, 222, 0.3);
  padding: 0.3em 0.3em 0.2em 0.3em;
  border: solid 1px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
}

.card p img {
  display: none;
  margin: 0;
  padding: 0;
}

.card p.date {
  margin-top: -1em;
  margin-bottom: 0.7em;
  font-style: italic;
}

.card h3 a {
  font-size: 0.8em;
  color: var(--link-lightbg) !important;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 260px;
    display: block;
    overflow: hidden;
  margin-bottom: 1em;
}

.card h2 {
  margin-left: 0.5em;
  padding: 0;
  font-size: 1em;
}

.card p {
  padding-left: 1em;
  padding-right: 1em;
  margin-bottom: 0.4em;
}

/* Tag List */

span.tags {
  background: url("../images/pattern-dark.png");
  display: block;
  padding: 1em;
  border-radius: 4px;
}

span.tags a {
  color: var(--link-darkbg);
  text-decoration: none;
  font-weight: bold;
  background-color: #333333;
  border: 1px solid #202020; /* old: #656565; */
  border-radius: 3px;
  line-height: 2.3em;
  padding: 0.2em 0.5em;
}

blockquote {
  padding: 1em;
  padding-top: 2em;
  margin-top: 1em;
  margin-bottom: 2em;
  background-color: var(--main-bg-color);
  background-image: url("../images/pattern-grey-light.png");
  -webkit-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  -moz-box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  box-shadow: 0px 4px 16px -1px rgba(0,0,0,0.1);
  border: 1px solid #E8E8E8;
  border-radius: 5px;
}

ul.pagination {
  list-style: none;
  text-align: center;
  margin-left: 0;
}

ul.pagination li {
  border: 2px outset #CCCCCC;
  background-color: var(--main-bg-color);
  display: inline-block;
}

li.disabled a{
  color: #818181;
  text-decoration: none;
}

li.active a {
  font-weight: bold;
}

.donate-hover:hover {
    color: transparent;
}

.donate-hover:hover::after {
    content: "Donate";
    position: absolute;
    color: var(--link-darkbg);
    text-align: center;
    width: 100%;
    margin-left: -0.5em;
}

.donate-hover {
    position: relative;
    background-clip: border-box;
    white-space: nowrap
    
}

.donate-hover span {
    z-index: 1;
}

.donations-percent-bar {
    border-radius: 4px;

    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    height: 100%;

}

